#include <iostream>
using namespace std;

int main(int argc, char *argv[]){
	int const count = 3;
	int nums[count];
	//入力
	for(int i = 0; i < count; i++){
		cin >> nums[i];
	}

	//小さい順に並べる
	for(int i = 0; i < count - 1; i++){
		for(int j = i + 1; j < count; j++){
			if (nums[i] > nums[j]) {
				int temp = nums[i];
				nums[i] = nums[j];
				nums[j] = temp;
			}
		}
	}

	//出力
	for(int i = 0; i < count - 1; i++){
		cout << nums[i] << ' ';
	}
	cout << nums[count - 1];
	cout << "\n";
}
